Summary:	KDE Partition Manager
Name:		partitionmanager
Version:	2.2.1
Release:	1
License:	GPLv3+
Group:		System/Kernel and hardware
Url:		http://sourceforge.net/projects/partitionman/
Source0:	http://download.kde.org/stable/partitionmanager/%{version}/src/%{name}-%{version}.tar.xz
Source1:	partitionmanager_ru.po.tar.gz
Patch0:		partitionmanager-2.1.0-kdesu5.patch
Patch1:		partitionmanager-2.0.0-l10n.patch
BuildRequires:	extra-cmake-modules
BuildRequires:	cmake
BuildRequires:	kf5config-devel
BuildRequires:	kf5crash-devel
BuildRequires:	kf5doctools-devel
BuildRequires:	kf5i18n-devel
BuildRequires:	kf5iconthemes-devel
BuildRequires:	kf5jobwidgets-devel
BuildRequires:	kf5kio-devel
BuildRequires:	kf5service-devel
BuildRequires:	kf5widgetsaddons-devel
BuildRequires:	kf5xmlgui-devel
BuildRequires:	kpmcore-devel
BuildRequires:	pkgconfig(blkid)
BuildRequires:	pkgconfig(libatasmart)
BuildRequires:	pkgconfig(Qt5Core) >= 5.4.1
BuildRequires:	pkgconfig(Qt5Gui) >= 5.4.1
BuildRequires:	pkgconfig(Qt5Widgets) >= 5.4.1
Requires:	dosfstools
Requires:	e2fsprogs
Requires:	jfsutils
Requires:	ntfs-3g
Requires:	reiserfsprogs
Requires:	xfsprogs

%description
A KDE utility that allows you to manage disks, partitions, and file systems.

%files -f %{name}.lang
%doc README.md TODO CHANGES
%{_kde5_applicationsdir}/org.kde.PartitionManager.desktop
%{_kde5_bindir}/%{name}
%{_kde5_xmlguidir}/%{name}/%{name}*.rc
%{_kde5_datadir}/config.kcfg/partitionmanager.kcfg
%{_kde5_iconsdir}/hicolor/scalable/apps/partitionmanager.svg
%{_datadir}/appdata/org.kde.PartitionManager.appdata.xml

#----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1
%patch1 -p1

pushd po/ru
tar -xvzf %{SOURCE1}
popd

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build

%find_lang %{name} --with-html --with-kde

%changelog

* Sat Jul 09 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2.2.1-1
- (58a4d38) README was renamed to README.md
- (Andrey Bondrov: c1640ab) New version 2.2.1

* Thu Jun 02 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2.2.0-2
- (2c07f8f) Bump release

* Thu Jun 02 2016 Victor Ryzhikh <victorr2007@yandex.ru> 2.2.0-1
- (2744f43) Updated Russian translations
- (Victor Ryzhikh: 196b151) Updated Russian translations
- (Victor Ryzhikh: 4175ecf) Updated now version 2.2.0, Updated Russian translations

* Tue May 31 2016 Victor Ryzhikh <victorr2007@yandex.ru> 2.1.0-1
- (330c392) Updated now version 2.2.0, Updated Russian translations
- (Andrey Bondrov: 566a24d) New version 2.1.0

* Thu Jan 28 2016 VictorR2007 <victorr2007@yandex.ru> 2.0.0-7
- (c5e3893) Updated Russian translation

* Thu Jan 28 2016 Victor Ryzhikh <victorr2007@yandex.ru> 2.0.0-6
- (66ba028) Updated Russian translation

* Thu Jan 28 2016 Victor Ryzhikh <victorr2007@yandex.ru> 2.0.0-5
- (186626c) Updated Russian translation
- (Victor Ryzhikh: 1c9f05e) Updated Russian translation

* Mon Jan 25 2016 Victor Ryzhikh <victorr2007@yandex.ru> 2.0.0-4
- (428dbdb) Updated Russian translation
- (Victor Ryzhikh: cbf1283) Updated Russian translation

* Sun Jan 24 2016 Victor Ryzhikh <victorr2007@yandex.ru> 2.0.0-3
- (aaeb3aa) Updated Russian translation
- (Victor Ryzhikh: 3c04813) Updated Russian translation
- (Victor Ryzhikh: 3775a75) Updated Russian translation

* Sun Jan 24 2016 Victor Ryzhikh <victorr2007@yandex.ru> 2.0.0-2
- (3937901) Updated Russian translation
- (Andrey Bondrov: ad6f8a9) Add support for kdesu5

* Sun Jan 17 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2.0.0-1
- (d63b0d2) New version 2.0.0
- (d63b0d2) Depends on kpmcore now (update BuildRequires)
- (d63b0d2) Update files (some files moved to kpmcore)

* Tue Nov 24 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.2.1-3
- (9e9320d) Bump release

* Thu Nov 12 2015 Victor Ryzhikh <victorr2007@yandex.ru> 1.2.1-2
- (4f66ef0) Updated Russian translation

* Thu Nov 12 2015 Victor Ryzhikh <victorr2007@yandex.ru> 1.2.1-1
- (718c01c) Updated Russian translation
- (Andrey Bondrov: 3a91acd) New version 1.2.1, switch to KF5

* Mon Feb 16 2015 Giovanni Mariani <mc2374@mclink.it> 1.1.1-1
- (aef343e) Updated to release 1.1.1

* Mon Dec 22 2014 abfonly <abfonly@gmail.com> 1.1.0-1
- (18dd805) Log: Update to 1.1.0
- (abfonly: f646f3c) Log: Update to 1.1.0
- (abfonly: 4cb0c45) Log: Update to 1.1.0

* Fri Jul 25 2014 Denis Silakov <denis.silakov@rosalab.ru> 1.0.60-0.1236311.3
- (9d606d8) MassBuild#464: Increase release tag

* Tue Aug 07 2012 Rosa <rosa@rosa-build.rosalab.ru> 1.0.60-0.1236311.2
- (6ee31b3) Automatic import for version 1.0.60-0.1236311.2


